package com.convertlab.dmhubsdk.models;

import java.io.Serializable;

public class DMHubOptions implements Serializable {
    private String trackUrl;
    private String appId;
    private String appName;
    private boolean enableDebugLogging;
    private boolean autoTrackOpenAppEvent;
    private long minimumActiveDuration;
    private long activeTimeoutDuration;
    private long maximumBackgroundDuration;


    public String getTrackUrl() {
        return trackUrl;
    }
    public void setTrackUrl(String trackUrl) {
        this.trackUrl = trackUrl;
    }
    public String getAppId() {
        return appId;
    }
    public void setAppId(String appId) {
        this.appId = appId;
    }
    public String getAppName() {
        return appName;
    }
    public void setAppName(String appName) {
        this.appName = appName;
    }
    public boolean isEnableDebugLogging() {
        return enableDebugLogging;
    }
    public void setEnableDebugLogging(boolean enableDebugLogging) {
        this.enableDebugLogging = enableDebugLogging;
    }
    public boolean isAutoTrackOpenAppEvent() {
        return autoTrackOpenAppEvent;
    }
    public void setAutoTrackOpenAppEvent(boolean autoTrackOpenAppEvent) {
        this.autoTrackOpenAppEvent = autoTrackOpenAppEvent;
    }

    public long getMinimumActiveDuration() {
        return minimumActiveDuration;
    }

    public void setMinimumActiveDuration(long minimumActiveDuration) {
        this.minimumActiveDuration = minimumActiveDuration;
    }

    public long getActiveTimeoutDuration() {
        return activeTimeoutDuration;
    }

    public void setActiveTimeoutDuration(long activeTimeoutDuration) {
        this.activeTimeoutDuration = activeTimeoutDuration;
    }

    public long getMaximumBackgroundDuration() {
        return maximumBackgroundDuration;
    }

    public void setMaximumBackgroundDuration(long maximumBackgroundDuration) {
        this.maximumBackgroundDuration = maximumBackgroundDuration;
    }

    @Override
    public String toString() {
        return "DMHubOptions{" +
                "trackUrl='" + trackUrl + '\'' +
                ", appId='" + appId + '\'' +
                ", appName='" + appName + '\'' +
                ", enableDebugLogging=" + enableDebugLogging +
                ", autoTrackOpenAppEvent=" + autoTrackOpenAppEvent +
                '}';
    }
}
